Package twisted :: Package test :: Module test_sip |
[frames | no frames]

## Module twisted.test.test_sip

Session Initialization Protocol tests.

Classes
`AuthorizationTestCase` |
`Client` |
`DummyLocator` |
`FailingLocator` |
`FakeDigestAuthorizer` |
`LiveTest` |
`MakeMessageTestCase` |
`MessageParsingTestCase` |
`MessageParsingTestCase2` |
`ParseTestCase` |
`ProxyTestCase` |
`RegistrationTestCase` |
`TestRealm` |
`URLTestCase` |
`ViaTestCase` |

Variable Summary
`str` | `authRequest` = `'REGISTER sip:intarweb.us SIP/2.0\r\nVia: ...`
`str` | `challengeResponse` = `'SIP/2.0 401 Unauthorized\r\nVia: SI...`
`str` | `okResponse` = `'SIP/2.0 200 OK\r\nVia: SIP/2.0/UDP 192.168...`
`str` | `registerRequest` = `'\nREGISTER sip:intarweb.us SIP/2.0\r\...`
`str` | `request1` = `'\n\r\n\n\rINVITE sip:foo SIP/2.0\r\nFrom: mo...`
`str` | `request2` = `'INVITE sip:foo SIP/2.0\r\nFrom: mo\r\nTo: jo...`
`str` | `request3` = `'INVITE sip:foo SIP/2.0\r\nFrom: mo\r\nTo: jo...`
`str` | `request4` = `'INVITE sip:foo SIP/2.0\r\nFrom: mo\r\nTo: jo...`
`str` | `request_natted` = `'INVITE sip:foo SIP/2.0\r\nVia: SIP/2.0...`
`str` | `request_short` = `'INVITE sip:foo SIP/2.0\r\nf: mo\r\nt: j...`
`str` | `response1` = `'SIP/2.0 200 OK\r\nFrom: foo\r\nTo:bar\r\nC...`

Variable Details

    ### authRequest Type: `str` Value:
        '''REGISTER sip:intarweb.us SIP/2.0\r
        Via: SIP/2.0/UDP 192.168.1.100:50609\r
        From: <sip:exarkun@intarweb.us:50609>\r
        To: <sip:exarkun@intarweb.us:50609>\r
        Contact: "exarkun" <sip:exarkun@192.168.1.100:50609>\r
        Call-ID: 94E7E5DAF39111D791C6000393764646@intarweb.us\r
        CSeq: 9899 REGISTER\r
        Expires: 500\r
        ...

    ### challengeResponse Type: `str` Value:
        '''SIP/2.0 401 Unauthorized\r
        Via: SIP/2.0/UDP 192.168.1.100:50609;received=127.0.0.1;rport=5632\r
        To: <sip:exarkun@intarweb.us:50609>\r
        From: <sip:exarkun@intarweb.us:50609>\r
        Call-ID: 94E7E5DAF39111D791C6000393764646@intarweb.us\r
        CSeq: 9898 REGISTER\r
        WWW-Authenticate: Digest nonce="92956076410767313901322208775",opaque=\
        "1674186428",qop-options="auth",algorithm="MD5",realm="intarweb.us"\r
        ...

    ### okResponse Type: `str` Value:
        '''SIP/2.0 200 OK\r
        Via: SIP/2.0/UDP 192.168.1.100:50609;received=127.0.0.1;rport=5632\r
        To: <sip:exarkun@intarweb.us:50609>\r
        From: <sip:exarkun@intarweb.us:50609>\r
        Call-ID: 94E7E5DAF39111D791C6000393764646@intarweb.us\r
        CSeq: 9899 REGISTER\r
        Contact: sip:exarkun@192.168.1.100:50609\r
        Expires: 3599\r
        ...

    ### registerRequest Type: `str` Value:
        '''
        REGISTER sip:intarweb.us SIP/2.0\r
        Via: SIP/2.0/UDP 192.168.1.100:50609\r
        From: <sip:exarkun@intarweb.us:50609>\r
        To: <sip:exarkun@intarweb.us:50609>\r
        Contact: "exarkun" <sip:exarkun@192.168.1.100:50609>\r
        Call-ID: 94E7E5DAF39111D791C6000393764646@intarweb.us\r
        CSeq: 9898 REGISTER\r
        ...

    ### request1 Type: `str` Value:
        '''
        \r

        \rINVITE sip:foo SIP/2.0\r
        From: mo\r
        To: joe\r
        Content-Length: 4\r
        \r
        ...

    ### request2 Type: `str` Value:
        '''INVITE sip:foo SIP/2.0\r
        From: mo\r
        To: joe\r
        \r
        1234'''

    ### request3 Type: `str` Value:
        '''INVITE sip:foo SIP/2.0\r
        From: mo\r
        To: joe\r
        Content-Length: 4\r
        \r
        1234\r
        \r
        lalalal'''

    ### request4 Type: `str` Value:
        '''INVITE sip:foo SIP/2.0\r
        From: mo\r
        To: joe\r
        Content-Length: 0\r
        \r
        INVITE sip:loop SIP/2.0\r
        From: foo\r
        To: bar\r
        ...

    ### request_natted Type: `str` Value:
        '''INVITE sip:foo SIP/2.0\r
        Via: SIP/2.0/UDP 10.0.0.1:5060;rport\r
        \r
        '''

    ### request_short Type: `str` Value:
        '''INVITE sip:foo SIP/2.0\r
        f: mo\r
        t: joe\r
        l: 4\r
        \r
        abcd'''

    ### response1 Type: `str` Value:
        '''SIP/2.0 200 OK\r
        From:  foo\r
        To:bar\r
        Content-Length: 0\r
        \r
        '''

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net